Subject: Removing :draft label

From: Gaute Hope <[email-masked]>
Date: Fri, 18 Feb 2011 10:27:35 +0100

Hi,

I saved a draft for a message; later opened it, finished it and sent
it.. Now all the messages in the thread show: this is a draft message
hit e to edit, y to send. They are all incoming or sent messages, and if
I try to edit them to delete them sup crashes with:

--- NoMethodError from thread: main
undefined method `fn_for_offset' for #<Redwood::SentLoader:0x00000002539258>
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/message.rb:182:in `draft_filename'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/modes/resume-mode.rb:8:in `initialize'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/modes/thread-view-mode.rb:416:in `new'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/modes/thread-view-mode.rb:416:in `edit_draft'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/mode.rb:59:in `handle_input'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/lib/sup/buffer.rb:277:in `handle_input'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/bin/sup:271:in `<module:Redwood>'
/home/gaute/.gem/ruby/1.9.1/gems/sup-999/bin/sup:80:in `<top (required)>'
/home/gaute/.gem/ruby/1.9.1/bin/sup:19:in `load'
/home/gaute/.gem/ruby/1.9.1/bin/sup:19:in `<main>'

I tried to enter the console find the message and manually remove :draft
using message.remove_label :draft. But this does not seem to do the
trick.. Also tried Index.save or xapian.flush.. but how can I make the
change go through ?

This does not seem to work anymore:
http://www.mail-archive.com/[email-masked]/msg00874.html

Best regards, Gaute